Jump to content
NAZKAR

3d polyline elevation label

Recommended Posts

NAZKAR

I have a drawing with hundreds of 3d polylines.  they are all elevated but none of them have labels when i want to make a pdf drawing to print.  I had a lisp on my old laptop but that died and now i dont remember what it was.

i am just looking for a lisp that i can select all the polylines and extract the elevations into a label on the line following the angle of the line.(if possible every 200 feet along the line). i am using civil 3d 2018.

Anybody have an idea??

Share this post


Link to post
Share on other sites
BIGAL

Its actually very easy to get the 3d value . Look at these 2 lines. Labelling you need to post a dwg of output so any body posting a reply does not have 3 goes at it.

 

; (setq dist somevalue)
(setq obj (vlax-ename->vla-object (car (entsel "Pick object "))))
(vlax-curve-getpointatdist obj dist)

 

Share this post


Link to post
Share on other sites
Jonathan Handojo
8 hours ago, BIGAL said:

Its actually very easy to get the 3d value . Look at these 2 lines. Labelling you need to post a dwg of output so any body posting a reply does not have 3 goes at it.

 


; (setq dist somevalue)
(setq obj (vlax-ename->vla-object (car (entsel "Pick object "))))
(vlax-curve-getpointatdist obj dist)

 

 

Or at every vertex:

 

(mapcar 'cdr (vl-remove-if-not '(lambda (x) (vl-position (car x) '(10 11))) (entget (car (entsel "\nSelect line or polyline: ")))))

 

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...